body {
    margin: 0;
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
}

#calculator-container {
    width: 450px;
    height: 600px;
}

#base {
    width: 100%;
    height: 100%;
    display: flex;
    flex-wrap: wrap;
    border: 1px solid black;
    border-radius: 20px;
    background-color: rgb(41, 41, 41)
}

.row {
    flex-basis: 100%;
}

#display-screen {
    width: 100%;
    height: 100%;
    background-color: rgb(178, 187, 170);
    display: flex;
    flex-wrap: wrap;
}

.row {
    display: flex;
    align-items: stretch;
    padding: 10px 20px;
    gap: 10px;
}

.first {
    padding-top: 40px;
}

.sixth {
    padding-bottom: 20px;
}

.row button {
    flex: 1;
    font-size: 30px;
    padding: 0;
    font-family: monospace;
    font-weight: 800;
    border: 0;
}

.number,
#decimal {
    background-color: rgb(83, 83, 83);
    color: white;
}

.operator {
    background-color: rgb(123, 137, 168);
    color: white;
}

#equal-button {
    background-color: orange;
    color: white;
}

.second button {
    background-color: rgb(31, 30, 30);
    color: white;
}

#delete-button {
    background-color: orange;
}

/* Design for display screen text */
#display-screen div {
    font-family: 'Courier New', 'Courier', monospace;
    color: rgb(89, 92, 86);
    text-align: right;
}

#display-screen #primary-display {
    font-size: 30px;
    margin: 10px 20px 0;
    font-weight: 600;
}

#display-screen #secondary-display {
    font-size: 20px;
    margin: 0 20px 10px;
    color: rgba(89, 92, 86, 0.589);
}

.truncate {
    min-width: 0;
    box-sizing: border-box;
    width: 370px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}